package com.fjhx.supply.service.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.supply.entity.supplier.dto.SupplierInfoDto;
import com.fjhx.supply.entity.supplier.dto.SupplierInfoSelectDto;
import com.fjhx.supply.entity.supplier.po.SupplierInfo;
import com.fjhx.supply.entity.supplier.vo.SupplierInfoVo;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.ruoyi.common.core.service.BaseService;

import java.util.Map;


/**
 * <p>
 * 供应商 服务类
 * </p>
 *
 * @author
 * @since 2023-03-17
 */
public interface SupplierInfoService extends BaseService<SupplierInfo> {

    /**
     * 供应商分页
     */
    Page<SupplierInfoVo> getPage(SupplierInfoSelectDto dto);

    /**
     * 供应商明细
     */
    SupplierInfoVo detail(Long id);

    /**
     * 供应商新增
     */
    void add(SupplierInfoDto supplierInfoDto);

    /**
     * 供应商编辑
     */
    void edit(SupplierInfoDto supplierInfoDto);

    /**
     * 供应商删除
     */
    void delete(Long id);

    /**
     * 供应商统计
     */
    Map<String, Object> supplierStatistics(BaseSelectDto dto);
}
